-- Blake's neovim rc file

-- basic settings: ~/.config/nvim/lua/blake/settings.lua
require('blake.settings')
-- plugins and plugin settings: ~/.config/nvim/lua/blake/plugins.lua
require('blake.plugins')

-- TODO:
--
-- Misc:
-- [x] map A-S to toggle spell check (see logic from hlsearch section in init.vim)
-- [ ] remove luasnip
--
-- Plugins to Configure
-- [x] toggleterm
-- [x] neoscroll
-- [x] cmp
-- [x] lspkind
-- [x] lspsignature
--
-- Plugins to install:
-- [ ] telescope
-- [ ] zen-mode.nvim (goyo)
-- [ ] status line
-- [X] lspsaga
-- [ ] lightspeed.nvim or hop.nvim
-- [ ] lightbulb
-- [X] glow.nvim (markdown preview)
-- [X] auto-session
-- [ ] shade.nvim
-- [ ] presence.nvim (discord presence)
-- [ ] trouble.nvim
-- [ ] indent-blankline.nvim (line indent level indicator)
-- [ ] commented.nvim ?
-- [ ] symbols-outline.nvim ?

